%define name perl-XML-Dumper
%define module	XML-Dumper
%define version	0.4
%define release 12

Summary:	Perl module for dumping Perl objects from/to XML
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group: 		System Environment/Libraries
Source0:	http://www.cpan.org/authors/id/E/EI/EISEN/%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Prefix:		%{_prefix}
Requires:	perl >= 5.6.0, perl-XML-Parser
BuildRequires:	perl >= 5.6.0, perl-XML-Parser >= 2.30-7
BuildArch: 	noarch

%description
Perl module for dumping Perl objects from/to XML

Needed by eGrail

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{prefix} INSTALLDIRS=vendor

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{_libdir}/perl5/vendor_perl/*/XML/

%changelog
* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jul 23 2001 Crutcher Dunnavant <crutcher@redhat.com> 2.30-5
- got it to work.

* Thu Jul 18 2001 Crutcher Dunnavant <crutcher@redhat.com> 2.30-4
- imported from mandrake. tweaked man path.

* Thu Jun 21 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.4-3mdk
- Fixed an error in changelog.

* Thu Jun 21 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.4-2mdk
- Clean up spec.
- Fixed distribution tag.
- Needed by eGrail.

* Mon Jun 18 2001 Till Kamppeter <till@mandrakesoft.com> 0.4-1mdk
- Newly introduced for Foomatic.

